Bug 458245 - Kmail 5.21.0 / 22.08.0 does no longer respect per contact html and remote content settings
Summary: Kmail 5.21.0 / 22.08.0 does no longer respect per contact html and remote con...
Status: REOPENED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.21.0
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 458504 458543 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-08-24 10:58 UTC by Till Schäfer
Modified: 2022-10-03 16:58 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.21.1


Attachments
contact settings (114.64 KB, image/png)
2022-08-24 10:58 UTC, Till Schäfer
Details
example html message of contact (968.34 KB, image/png)
2022-08-24 10:58 UTC, Till Schäfer
Details
display_message.log (2.84 KB, text/x-log)
2022-08-31 09:22 UTC, Till Schäfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Till Schäfer 2022-08-24 10:58:04 UTC
After upgrading to kmail 5.21, the per contact settings for html/plain preference and remote content retrieval are no longer applied (see attached screenshot for an example). This is a regression in the current version, since it worked flawlessly in version 5.20.3. 

I have already tried to modify the contact and save it again but had no luck. Per folder setting for html preference is still applied correctly. 


Operating System: Gentoo Linux 2.8
KDE Plasma Version: 5.25.4
KDE Frameworks Version: 5.97.0
Qt Version: 5.15.5
Kernel Version: 5.15.59-gentoo (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-4790K CPU @ 4.00GHz
Memory: 23.4 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 970/PCIe/SSE2
Manufacturer: Gigabyte Technology Co., Ltd.
Product Name: Z97X-UD5H
Comment 1 Till Schäfer 2022-08-24 10:58:18 UTC
Created attachment 151547 [details]
contact settings
Comment 2 Till Schäfer 2022-08-24 10:58:38 UTC
Created attachment 151548 [details]
example html message of contact
Comment 3 gjditchfield 2022-08-24 19:34:52 UTC
Interesting:  these preferences have never worked for me, in several years of trying,
and aren't working for me in 5.20.3.

(KDE Neon stable, mail in a Maildir, contacts in a vcf file.)
Comment 4 Boltronics 2022-08-30 02:26:07 UTC
I too can confirm that these are no longer working after upgrading to the same version on my Arch installation.

Additionally, I performed a clean Arch install recently on a different machine, and that also has the issue, so unlikely something to do with the upgrade process.

KMail 5.21.0 (22.08.0)

Running it from with Kontact makes no difference.

If I right-click on an address and select Show HTML Format -> Show HTML format when mail comes from this contact, I am asked to "Select the address book where the contact will be saved", despite already having the contact in the address book. This happens every time, and ends up creating a duplicate entry every time. Clicking away from the e-mail to a different one, and then jumping back, the settings for the e-mail are reset again. It's as if the existing contacts are no longer visible.

All of my contacts in ~/.local/share/contacts are configured to have the following settings:

X-KADDRESSBOOK-MailAllowToRemoteContent:TRUE
X-KADDRESSBOOK-MailPreferedFormatting:HTML

All were configured through KAddressBook / Konact, none were hand-edited. Clicking on Edit Contact there does show the same settings as per the above "contact settings" PNG screenshot.

This definitely used to work for me, so there has been a regression introduced somewhere.

Operating System: Arch Linux
KDE Plasma Version: 5.25.4
KDE Frameworks Version: 5.97.0
Qt Version: 5.15.5
Kernel Version: 5.19.4-arch1-1 (64-bit)
Graphics Platform: Wayland
Processors: 8 × Intel® Core™ i7-6700K CPU @ 4.00GHz
Memory: 31.3 GiB of RAM
Graphics Processor: AMD Radeon RX 6900 XT
Manufacturer: MSI
Product Name: MS-7976
System Version: 1.0
Comment 5 Laurent Montel 2022-08-30 11:32:44 UTC
*** Bug 458504 has been marked as a duplicate of this bug. ***
Comment 6 Till Schäfer 2022-08-30 12:05:38 UTC
Since it was referenced in the duplicate bug and it looked related to the issue, I have tried to revert https://invent.kde.org/pim/kmail/commit/f894cffa2b7ea91b86bc7754e6dd51495de312d3 of Bug 395711. However, it does not fix the issue.
Comment 7 Till Schäfer 2022-08-31 09:22:22 UTC
Created attachment 151727 [details]
display_message.log

I have attached a log of akonadiconsole that was recorded while switching to a new message. The akonadi search returned zero results for the e-mail search for rssfeed@null.invalid (which is part of the contact with the html preference). Thus, this might actually be a bug of akonadi and not kmail.
Comment 8 Till Schäfer 2022-08-31 09:34:34 UTC
Also the regular e-mail search is broken since 5.21.0. Maybe this is related to each other. See Bug 458202
Comment 9 Till Schäfer 2022-08-31 09:39:13 UTC
Another regression in 20.08.0, that does relate to listing or finding e-mail adresses -> Bug 436815
Comment 10 Laurent Montel 2022-08-31 11:38:54 UTC
Git commit 2acf92c81c4317950760e22c4fc1c5e216de6012 by Laurent Montel.
Committed on 31/08/2022 at 11:38.
Pushed by mlaurent into branch 'release/22.08'.

Fix Bug 458202: Search for messages in kmail does not work anymore... no results at all

FIXED-IN: 5.21.1
Related: bug 458202

M  +4    -3    src/server/search/searchmanager.cpp

https://invent.kde.org/pim/akonadi/commit/2acf92c81c4317950760e22c4fc1c5e216de6012
Comment 11 Till Schäfer 2022-08-31 12:08:49 UTC
I can confirm the patch is fixing the problem. Thx for the fast help.
Comment 12 Laurent Montel 2022-08-31 12:58:01 UTC
*** Bug 458543 has been marked as a duplicate of this bug. ***
Comment 13 Boltronics 2022-09-01 01:42:31 UTC
Same. Thanks very much for the fix.
Comment 14 Axel Braun 2022-10-01 09:26:45 UTC
That works in the preview pane, but if I double click the mail t oopen it in a separate window I still need to reload HTML content -> reopening
Comment 15 Boltronics 2022-10-01 11:17:50 UTC
(In reply to Axel Braun from comment #14)
> That works in the preview pane, but if I double click the mail t oopen it in
> a separate window I still need to reload HTML content -> reopening

I too can confirm this. Sorry I didn't think to test that previously. It's not part of my usual workflow.
Comment 16 Ricardo J. Barberis 2022-10-03 16:58:59 UTC
(In reply to Boltronics from comment #15)
> (In reply to Axel Braun from comment #14)
> > That works in the preview pane, but if I double click the mail t oopen it in
> > a separate window I still need to reload HTML content -> reopening
> 
> I too can confirm this. Sorry I didn't think to test that previously. It's
> not part of my usual workflow.

I believe this has been fixed in the repo already, it just hasn't been released yet.

But I can't remember where I saw it posted, sorry :(